apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: tls-demo-ingress
spec:
  ingressClassName: nginx
  rules:
  - host: www.wang.org
    http:
      paths:
      - backend:
          service:
            name: pod-test1
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - www.wang.org
    secretName: tls-wang
status:
  loadBalancer: {}
